var next =
        {
            'index': 'introduo',
            'introduo': 'deciso_01',
            'deciso_01': 'deciso_02',
            'deciso_02': 'deciso_03',
            'deciso_03': 'deciso_04',
            'deciso_04': 'deciso_05',
            'deciso_05': 'deciso_06',
            'deciso_06': 'deciso_07',
            'deciso_07': 'concluso_do_caso',
            'concluso_do_caso': null
        };

var percentagem =
        {
            'index': 0,
            'introduo': 10,
            'deciso_01': 30,
            'deciso_02': 40,
            'deciso_03': 50,
            'deciso_04': 60,
            'deciso_05': 70,
            'deciso_06': 80,
            'deciso_07': 90,
            'concluso_do_caso': 100
        };


function percentage_idx(value) {
    for (var key in percentagem) {
        if (percentagem[key] == value) {
            return key;
        }
    }
    return null;
}
;

function go_last_page() {
    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }

    if (status === null) {
        return false;
    }

    var idx = percentage_idx(status.percentage);
    if (idx) {
        window.location = idx + '.html';
    }
}
;

function question_response(d) {
    var questionResponse = new Array("NA", "b", "c", "b", "a", "c", "a", "c");
    return questionResponse[d];
}
;

function question_feedback(d, o) {
    var resp = "";
    var questionFeedback;
    if (o == "a")
        questionFeedback = new Array("NA", "F0001", "F0004", "F0007", "F0010", "F0013", "F0016", "F0019");
    if (o == "b")
        questionFeedback = new Array("NA", "F0002", "F0005", "F0008", "F0011", "F0014", "F0017", "F0020");
    if (o == "c")
        questionFeedback = new Array("NA", "F0003", "F0006", "F0009", "F0012", "F0015", "F0018", "F0021");
    resp = questionFeedback[d];
    return resp;
}
;

function question_feedback_anchor(d, o) {
    var resp = "";
    var questionFeedback;
    if (o == "a")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    if (o == "b")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    if (o == "c")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    resp = questionFeedback[d];
    return resp;
}
;

function choice(d, o) {

    var answer = new Object();
    var question = new Object();
    var arrayQuestions = new Array();

    answer.stage = "caso_ricardo";

    question.question = d;
    question.alternative = o;

    if (o === question_response(d)) {
        question.correct = true;
    } else {
        question.correct = false;
    }

    arrayQuestions.push(question);

    answer.questions = arrayQuestions;

    unasus.pack.setPersistence('ANSWER', answer);
}
;

function atualizar_status(np) {
    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }

    if (status === null) {
        return false;
    }

    var changed = false;
    if (status.status === 'attended') {
        status.status = 'attempted';
        changed = true;
    }
    if (percentagem[np] > status.percentage) {
        status.percentage = percentagem[np];
        changed = true;
    }
    if (np === 'concluso_do_caso') {
        if (status.status !== 'completed') {
            status.status = 'completed';
            status.LTIvalue = 1;
            changed = true;
        }
    }
    if (changed) {
        unasus.pack.setStatus(status);
    }
}
;

function proxima_pagina(pagina_atual) {
    var np = next[pagina_atual];
    if (np !== null) {
        atualizar_status(np);
        window.location = np + '.html';
    }
}
;

function finalizar_exame_clinico() {
    proxima_pagina('introduo');
}
;

function prosseguir(d, o) {
    proxima_pagina('deciso_0' + d);
}
;